4ti2 (1.6.15+ds-1) unstable; urgency=medium

  * New upstream nano release.
  * Debianization:
    - d/copyright:
      - Files-Excluded field, refresh;
      - copyrightyear-tuples, update;
    - d/control:
      - Standards-Version, bump to 4.7.3 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 21 Mar 2026 13:16:27 +0000

4ti2 (1.6.14+ds-1) unstable; urgency=medium

  * New upstream nano release.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh;
    - d/patches/*:
      - d/p/upstream-harden-strcpycat2asprintf.patch, integrated;
    - d/rules:
      - execute_before_dh_autoreconf target, obsoleted;
    - d/control:
      - Rules-Requires-Root field, now rely on default.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 30 Nov 2025 23:41:57 +0000

4ti2 (1.6.13+ds-1) unstable; urgency=medium

  * New upstream nano release.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 30 Aug 2025 15:03:58 +0000

4ti2 (1.6.12+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 17 Aug 2025 17:14:02 +0000

4ti2 (1.6.12+ds-1) experimental; urgency=medium

  * New upstream nano release.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-autogen_sh-swig.patch, integrated;
      - d/p/upstream-autotoolization-public_shared_scheme.patch, refresh;
      - d/p/debianization{,-prefix,-documentation}.patch, refresh;
      - d/p/degnulibrarianization.patch, refresh;
    - d/4ti2-doc.docs, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 09 Jun 2025 10:55:36 +0000

4ti2 (1.6.11+ds-2) experimental; urgency=medium

  * Debianization:
    - d/patches/*:
      - d/p/upstream-harden-strcpycat2asprintf.patch, thanks to Jake
          <jkrshnmenon@gmail.com> for reporting the issue (Closes: #915571);
      - d/p/upstream-autogen_sh-swig.patch, introduce;
    - d/lib4ti2-0t64.lintian-overrides, correct.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 24 May 2025 19:36:06 +0000

4ti2 (1.6.11+ds-1) experimental; urgency=medium

  * New upstream nano release.
  * Technically this is a freeze-experiemental package release.
  * Debianization:
    - d/copyright:
      - copyright year-tuple, update;
      - Files-Excluded list, refresh;
    - d/control:
      - Standards-Version, bump to 4.7.2 (no change);
    - d/patches/*:
      - d/p/upstream-autotoolization-shared.patch, integrated;
      - d/p/debianization-fixed-ax_cc_maxopt_m4-serial23.patch, obsoleted;
    - d/lib4ti2-dev.lintian-overrides, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 17 May 2025 23:17:44 +0000

4ti2 (1.6.10+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061717

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:25:24 +0000

4ti2 (1.6.10+ds-1) unstable; urgency=medium

  * New upstream release.
    - Missing <cstdint> include has been added, fixing GCC-13 builds
      (Closes: #1037565).
  * debian/control
    - Add myself to Uploaders.
  * debian/copyright
    - Add myself to debian/* copyright holders.
  * debian/patches/debianization-documentation.patch
    - Refresh for new upstream version.
  * debian/patches/fixed-autoconf-faulty_equality_tests.patch
    - Removed; applied upstream.
  * debian/patches/upstream-autotoolization-public_shared_scheme.patch
    - Remove SWIG files from patch; no longer present upstream.
  * debian/rules
    - Remove explicit "--with autoreconf"; has been run by default since
      debhelper 10.
    - Create dummy "swig" directory to avoid autoreconf error.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 15 Jul 2023 10:23:50 -0400

4ti2 (1.6.9+ds-8) unstable; urgency=medium

  * Debianization:
    - lib4ti2-dev, config header now in arch hierarchy.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 26 Dec 2022 17:36:47 +0000

4ti2 (1.6.9+ds-7) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - d/watch, now use GitHub API to avoid breaking change from GitHub web UI
      (see https://lists.debian.org/debian-devel/2022/09/msg00229.html);
    - d/control:
      - Standards-Version, bump to 4.6.2 (no change);
      - lib4ti2-dev, now Breaks with former 4ti2 Package (<< 1.6.9+ds-6);
    - d/s/lintian-overrides, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 25 Dec 2022 16:20:50 +0000

4ti2 (1.6.9+ds-6) experimental; urgency=medium

  * Introduce development packages (Closes: #1012530).
  * Debianization:
    - now provide libs and libdevel packages (major changes);
    - d/control:
      - debhelper, bump to version 13;
    - d/patches/*:
      - d/p/upstream-autotoolization-public_shared_scheme.patch
        (formerly *-private_*), migrate from private to public;
    - d/tests/*, (temporarily) discard;
    - d/rules, harden;
    - d/clean, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 21 Aug 2022 17:23:46 +0000

4ti2 (1.6.9+ds-5) unstable; urgency=medium

  * FTBFS fix release (Closes: #1017159), provide fixed 'ax_cc_maxopt.m4'
    serial 23 (see #1017727).
  * Debianization:
    - d/control:
      - Maintainer, migration to Debian Math Team;
      - Standards-Version, bump to 4.6.1:
        - migrate scripts from /usr/lib to /usr/libexec ;
    - d/patches/*:
      - d/p/debianization-fixed-ax_cc_maxopt_m4-serial23.patch, introduce;
    - d/copyright:
      - copyright year tuples, update;
    - d/upstream/metadata, introduce;
    - d/4ti2.install, refresh;
    - d/4ti2.lintian-overrides, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 20 Aug 2022 16:29:06 +0000

4ti2 (1.6.9+ds-4) unstable; urgency=medium

  * Team upload.
  * Fix == in m4 files as well.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 04 Nov 2021 14:05:31 +0100

4ti2 (1.6.9+ds-3) unstable; urgency=medium

  * Team upload.
  * Use = with test, not == (bashism).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 04 Nov 2021 12:34:28 +0100

4ti2 (1.6.9+ds-2) unstable; urgency=medium

  * FTBFS fix release, fix LaTeX composition failure.
  * Debianization:
    - debian/control:
      - Build-Depends-Indep, add texlive-latex-extra;
      - debhelper, migrate to version 12;
      - Standards-Version, bump to 4.4.1 (no change);
      - Rules-Requires-Root, introduce and set to no;
    - debian/copyright:
      - copyright year tuples, update;
    - 4ti2.lintian-overrides, comment manpage-without-executable ;
    - debian/compat, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 17 Jan 2020 07:17:02 +0000

4ti2 (1.6.9+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/repack, discard;
    - debian/watch:
      - version, bump to 4;
      - opts sequence, update;
      - path, update;
    - debian/copyright:
      - Comment field, remove;
      - Files-Excluded field, introduce;
    - debian/control:
      - Standards-Version, bump to 4.2.1 (no change);
    - debian/patches/*:
      - d/p/upstream-fix-PATH_MAX.patch , integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 15 Sep 2018 15:54:51 +0000

4ti2 (1.6.7+ds-4) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - Source field, update;
    - debina/control:
      - Homepage field, update;
      - Standards-Version, bump to 4.2.0;
    - debian/watch:
      - path, migration to GitHub;
      - opts sequence, add uversionmangle rule.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 21 Aug 2018 18:41:14 +0000

4ti2 (1.6.7+ds-3) unstable; urgency=medium

  * FTBFS fix release (Closes: #897526), fix LaTeX composition failure
    (see d/p/upstream-fix-NEWS-ASCII.patch patch).
  * Debianization:
    - debian/copyright:
      - copyright years, refresh;
      - Format URI, secure;
    - debian/control:
      - debhelper, bump to 11;
      - Standards Version, bump to 4.1.4 (no major change);
      - Vcs-*, update;
    - debian/patches/*:
      - d/p/debianization-documentation.patch, update;
      - d/p/upstream-fix-NEWS-ASCII.patch, remove the non-ASCII
        character that disturbed LaTeX;
    - debian/rules:
      - debhelper, bump to 11;
      - dpkg-buildflags, add hardening=+all;
      - get-orig-source target, remove;
      - use pkg-info.mk ;
      - refresh;
    - debian/4ti2-doc.doc-base, update;

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 04 May 2018 16:51:55 +0000

4ti2 (1.6.7+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/patches:
      - d/p/debianization-documentation.patch, C locale and UTC time
        for generating the time stamp (Closes: #807829) --- thanks to
        Reiner Herrmann <reiner@reiner-h.de> for providing a patch;
    - debian/tests:
      - introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 13 Dec 2015 18:23:09 +0000

4ti2 (1.6.7+ds-1) unstable; urgency=medium

  * New upstream release:
    - underlinking fix, integrate;
    - broken walk test 344, fix.
  * Debianization:
    - debian/copyright, refresh;
    - debian/{patches,adhoc}/*:
      - test walk 344, revive;
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 13 Dec 2015 01:27:19 +0000

4ti2 (1.6.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/control:
      - Vcs-Browser field: correct;
      - Pre-Depends field: add;
    - debian/{patches,adhoc}/*:
      - underlinking fix (Closes: #801117);
      - test walk 344, temporary freeze;
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 02 Nov 2015 20:55:04 +0000

4ti2 (1.6.2+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #769997)
  * Debianization:
    - debian/copyright in DEP-5 format;
    - debian/control:
      - debhelper build-dep to >= 9;
      - Standards Version 3.9.6;
      - Vcs-* headers.
    - debian/source, format 3.0 (quilt);
    - build-arch/build-indep scheme, implement;
    - debian/patches/ patches:
      - in DEP-3 format;
      - de-gnulib-rarianization;
      - prepend 4ti2- to the name of the 4ti2 tools;
      - enforce the implicitly private shared scheme already present
        in the upstream source (what implicitly discard any development
        material);
      - make 4ti2{int32,int64,gmp} private wrt the private shared scheme;
    - debian/watch file;
    - debian/repack, repack script to clean up and gain weight;
    - debian/rules:
      - out of source building scheme to please git-buildpackage, please;
      - autoreconf-iguration;
      - full dh integration;
      - get-orig-source uscan based target which downloads the currently
        packaged upstream tarball and repacks it;
      - default target which basically queries package status with uscan
        -- output in DEHS format;
    - default precision set to arbitrary (gmp);
    - manpage wrt to available but uncomplete upstream documentation, create;
    - gpg-signature check support, neutralize;
    - BibTeX bibliography, reverse by hand;
    - `plain' BibTeX STyle with hypertex support, grab by hand;
    - tutorial and WWW samples, provide.
  * Fixes have been submitted to the upstream maintainers.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 28 Jan 2015 14:48:27 +0000
